Bug 562986 - Supply convenience symlink(s) for backwards compatibility (rename jar files as appropriate)
Summary: Supply convenience symlink(s) for backwards compatibility (rename jar files a...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Dogtag Certificate System
Classification: Retired
Component: Certificate Manager
Version: 1.3
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Matthew Harmsen
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 445047
TreeView+ depends on / blocked
 
Reported: 2010-02-08 23:09 UTC by Matthew Harmsen
Modified: 2015-01-06 01:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-04 20:02:11 UTC


Attachments (Terms of Use)
base diffs (13.71 KB, patch)
2010-02-09 18:49 UTC, Matthew Harmsen
no flags Details | Diff
dogtag diffs (13.42 KB, patch)
2010-02-09 18:49 UTC, Matthew Harmsen
no flags Details | Diff

Description Matthew Harmsen 2010-02-08 23:09:56 UTC
There have been a number of backwards compatibility issues reported about changes between Dogtag 1.2.0 and Dogtag 1.3.0.

Attempt to address some of these issues by supplying backwards compatibility symlinks to a number of the jar files that changed names/locations.

Additionally, apply any new jar file names that seem appropriate.

Comment 1 Matthew Harmsen 2010-02-09 18:49:30 UTC
Created attachment 389823 [details]
base diffs

Comment 2 Matthew Harmsen 2010-02-09 18:49:59 UTC
Created attachment 389825 [details]
dogtag diffs

Comment 3 Andrew Wnuk 2010-02-09 19:18:39 UTC
attachment (id=389825)
attachment (id=389823)
154 - CP=/usr/share/java/${PRODUCT}/cms-theme_en.jar:${CP}
155 - CP=/usr/share/java/pki-console-theme_en.jar:${CP}
Matt, could you reverse the order of these lines?

+awnuk

Comment 4 Matthew Harmsen 2010-02-09 19:44:36 UTC
Actually, I spoke with Andrew on his comment (which I had asked him to make) - in this case, the logic is correct, as the "older" file will come AFTER the "newer" file since it is adding each file to the "front" of the classpath.

Comment 5 Matthew Harmsen 2010-02-09 22:59:39 UTC
# cd pki/base

# svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M       java-tools/templates/pretty_print_crl_command_wrapper
M       java-tools/templates/pki_java_command_wrapper
M       java-tools/templates/pretty_print_cert_command_wrapper
M       java-tools/build.xml
M       ca/shared/conf/dtomcat5
M       silent/scripts/pkisilent
M       tks/shared/conf/dtomcat5
M       console/templates/pki_console_wrapper
M       console/build.xml
M       ocsp/shared/conf/dtomcat5
M       kra/shared/conf/dtomcat5

# svn commit
Sending        base/ca/shared/conf/dtomcat5
Sending        base/console/build.xml
Sending        base/console/templates/pki_console_wrapper
Sending        base/java-tools/build.xml
Sending        base/java-tools/templates/pki_java_command_wrapper
Sending        base/java-tools/templates/pretty_print_cert_command_wrapper
Sending        base/java-tools/templates/pretty_print_crl_command_wrapper
Sending        base/kra/shared/conf/dtomcat5
Sending        base/ocsp/shared/conf/dtomcat5
Sending        base/silent/scripts/pkisilent
Sending        base/tks/shared/conf/dtomcat5
Transmitting file data ...........
Committed revision 968.



# cd pki/dogtag

# svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M       java-tools/build_dogtag
M       java-tools/pki-java-tools.spec
M       ca/build_dogtag
M       ca/pki-ca.spec
M       silent/build_dogtag
M       silent/pki-silent.spec
M       tks/build_dogtag
M       tks/pki-tks.spec
M       console/build_dogtag
M       console/pki-console.spec
M       ocsp/build_dogtag
M       ocsp/pki-ocsp.spec
M       kra/build_dogtag
M       kra/pki-kra.spec
M       console-ui/build_dogtag
M       console-ui/dogtag-pki-console-ui.spec
M       console-ui/build.xml

# svn commit
Sending        dogtag/ca/build_dogtag
Sending        dogtag/ca/pki-ca.spec
Sending        dogtag/console/build_dogtag
Sending        dogtag/console/pki-console.spec
Sending        dogtag/console-ui/build.xml
Sending        dogtag/console-ui/build_dogtag
Sending        dogtag/console-ui/dogtag-pki-console-ui.spec
Sending        dogtag/java-tools/build_dogtag
Sending        dogtag/java-tools/pki-java-tools.spec
Sending        dogtag/kra/build_dogtag
Sending        dogtag/kra/pki-kra.spec
Sending        dogtag/ocsp/build_dogtag
Sending        dogtag/ocsp/pki-ocsp.spec
Sending        dogtag/silent/build_dogtag
Sending        dogtag/silent/pki-silent.spec
Sending        dogtag/tks/build_dogtag
Sending        dogtag/tks/pki-tks.spec
Transmitting file data .................
Committed revision 969.

Comment 6 Fedora Update System 2010-02-10 03:52:10 UTC
pki-silent-1.3.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pki-silent-1.3.2-1.fc11

Comment 7 Fedora Update System 2010-02-10 03:56:26 UTC
pki-silent-1.3.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pki-silent-1.3.2-1.fc12

Comment 8 Fedora Update System 2010-02-10 04:05:30 UTC
pki-console-1.3.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pki-console-1.3.1-1.fc11

Comment 9 Fedora Update System 2010-02-10 04:06:02 UTC
pki-console-1.3.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pki-console-1.3.1-1.fc12

Comment 10 Fedora Update System 2010-02-10 04:12:50 UTC
dogtag-pki-console-ui-1.3.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dogtag-pki-console-ui-1.3.1-1.fc11

Comment 11 Fedora Update System 2010-02-10 04:14:21 UTC
dogtag-pki-console-ui-1.3.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dogtag-pki-console-ui-1.3.1-1.fc12

Comment 12 Fedora Update System 2010-02-10 04:21:05 UTC
pki-java-tools-1.3.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pki-java-tools-1.3.1-1.fc12

Comment 13 Fedora Update System 2010-02-10 04:21:28 UTC
pki-java-tools-1.3.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pki-java-tools-1.3.1-1.fc11

Comment 14 Fedora Update System 2010-02-10 04:30:37 UTC
pki-kra-1.3.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pki-kra-1.3.1-1.fc11

Comment 15 Fedora Update System 2010-02-10 04:30:46 UTC
pki-kra-1.3.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pki-kra-1.3.1-1.fc12

Comment 16 Fedora Update System 2010-02-10 04:39:29 UTC
pki-ocsp-1.3.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pki-ocsp-1.3.1-1.fc12

Comment 17 Fedora Update System 2010-02-10 04:39:58 UTC
pki-ocsp-1.3.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pki-ocsp-1.3.1-1.fc11

Comment 18 Fedora Update System 2010-02-10 04:48:03 UTC
pki-tks-1.3.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pki-tks-1.3.1-1.fc11

Comment 19 Fedora Update System 2010-02-10 04:48:55 UTC
pki-tks-1.3.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pki-tks-1.3.1-1.fc12

Comment 20 Fedora Update System 2010-02-13 00:36:12 UTC
pki-ocsp-1.3.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2010-02-13 00:37:46 UTC
pki-console-1.3.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2010-02-13 00:38:54 UTC
pki-kra-1.3.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2010-02-13 00:42:54 UTC
pki-tks-1.3.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2010-02-16 19:52:54 UTC
dogtag-pki-console-ui-1.3.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/dogtag-pki-console-ui-1.3.1-1.el5

Comment 26 Fedora Update System 2010-02-16 20:05:55 UTC
pki-console-1.3.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pki-console-1.3.1-1.el5

Comment 27 Fedora Update System 2010-02-16 20:22:25 UTC
pki-silent-1.3.2-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pki-silent-1.3.2-1.el5

Comment 28 Fedora Update System 2010-02-16 21:16:26 UTC
pki-java-tools-1.3.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pki-java-tools-1.3.1-1.el5

Comment 29 Fedora Update System 2010-02-16 21:43:43 UTC
pki-kra-1.3.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pki-kra-1.3.1-1.el5

Comment 30 Fedora Update System 2010-02-16 22:15:49 UTC
pki-ocsp-1.3.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pki-ocsp-1.3.1-1.el5

Comment 31 Fedora Update System 2010-02-16 22:37:41 UTC
pki-tks-1.3.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pki-tks-1.3.1-1.el5

Comment 32 Fedora Update System 2010-02-27 03:28:25 UTC
pki-console-1.3.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2010-02-27 03:41:21 UTC
dogtag-pki-console-ui-1.3.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2010-02-27 03:42:27 UTC
pki-java-tools-1.3.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2010-03-03 02:00:30 UTC
pki-java-tools-1.3.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2010-03-03 02:00:46 UTC
pki-silent-1.3.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2010-03-03 02:02:29 UTC
dogtag-pki-console-ui-1.3.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 38 Fedora Update System 2010-03-03 02:03:58 UTC
pki-silent-1.3.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 39 Fedora Update System 2010-03-04 00:04:40 UTC
pki-kra-1.3.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 40 Fedora Update System 2010-03-06 03:50:03 UTC
pki-kra-1.3.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 41 Fedora Update System 2010-03-18 03:30:45 UTC
pki-ocsp-1.3.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 43 Matthew Harmsen 2011-05-27 22:48:26 UTC
This bug does not need to be verified, as this change was only applied between Dogtag 1.2.x --> Dogtag 1.3.x, both of which used tomcat5 and had a different naming convention and location for the jar files.

With the advent of Dogtag 9.0 which used tomcat6, the names and locations of jar files were changed to comply more stringently with Fedora:  see "Bugzilla Bug #656733 - Standardize jar install location and jar names" for details.


Note You need to log in before you can comment on or make changes to this bug.